//---------------------------------------------------------------------------
#ifndef PayMentPanelUnitH
#define PayMentPanelUnitH
#include "NotificationExUnit.h"
#include "SkinScrollBarUnit.h"

//---------------------------------------------------------------------------
typedef struct tagStylePay{
	String strStyleName;
	String strStyleCost;
}STYLEPAY, *PSTYLEPAY;

//---------------------------------------------------------------------------
class TPayMentPanel : public Vcl::Extctrls::TPanel
{

private:

	vector<STYLEPAY> m_VCStylePay;

	bool bStylePayShow;
	int m_iShowLine;
	int m_iTopLine;

//	TUrlLabel *m_lbVip;
	int m_nAddCost;
	int m_nStyleNum;
	int m_iOperation;

	TImage *m_imgInfo;
	TSkinScrollBar *m_ScrollBar;

	void __fastcall CutOffString(String &cutOffStr);
	int  __fastcall GetLineNumber();
	void __fastcall SetShowLine();

	virtual void __fastcall CreateWnd();
	virtual void __fastcall Paint(void);

	MESSAGE void __fastcall WMEraseBkgnd(TWMEraseBkgnd &Message);
	MESSAGE void __fastcall WMVScroll(Winapi::Messages::TWMScroll &Message);
	MESSAGE void __fastcall WMMouseWheel(TWMMouseWheel &Message);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_ERASEBKGND, TWMEraseBkgnd, WMEraseBkgnd)
		MESSAGE_HANDLER(WM_VSCROLL, TWMVScroll, WMVScroll)
		MESSAGE_HANDLER(WM_MOUSEWHEEL, TWMMouseWheel, WMMouseWheel)
	END_MESSAGE_MAP( Vcl::Extctrls::TPanel )

public:
	void __fastcall SetContent(int iOperation=0, int nIdCount=0,
										UINT *aIdStyle=NULL, int *aStyleCost=NULL,
										int nCost=0, int nBalance=0);
	void __fastcall SetSB();
    void __fastcall SetTextFontSize(int sz);
	__fastcall TPayMentPanel( TComponent* Owner);
	__fastcall ~TPayMentPanel();
};
//---------------------------------------------------------------------------
#endif
